Index: trunk/client/modules/Elezioni/grafici.php
===================================================================
--- trunk/client/modules/Elezioni/grafici.php	(revision 254)
+++ trunk/client/modules/Elezioni/grafici.php	(revision 265)
@@ -7,14 +7,20 @@
 /* info@eleonline.it  luciano@aniene.net rgigli@libero.it               */
 /************************************************************************/
-
+define('MODULE_FILE');
 if (!defined('MODULE_FILE')) {
-    die ("You can't access this file directly...");
+#    die ("You can't access this file directly...");
 }
 
 
-$res = mysql_query("SELECT t1.descrizione, t1.tipo_cons,t2.genere, t2.voto_g, t2.voto_l, t2.voto_c, t2.circo FROM ".$prefix."_ele_consultazione as t1,".$prefix."_ele_tipo as t2 where t1.tipo_cons=t2.tipo_cons and t1.id_cons_gen='$id_cons_gen' ", $dbi);
-list($descr_cons,$tipo_cons,$genere,$votog,$votol,$votoc,$circo) = mysql_fetch_row($res);
-$res = mysql_query("SELECT t2.id_cons FROM ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_cons_gen=t2.id_cons_gen and t2.id_cons_gen='$id_cons_gen' and t2.id_comune='$id_comune'" , $dbi);
-list($id_cons) = mysql_fetch_row($res);
+$sql="SELECT t1.descrizione, t1.tipo_cons,t2.genere, t2.voto_g, t2.voto_l, t2.voto_c, t2.circo FROM ".$prefix."_ele_consultazione as t1,".$prefix."_ele_tipo as t2 where t1.tipo_cons=t2.tipo_cons and t1.id_cons_gen='$id_cons_gen' ";
+$res = $dbi->prepare("$sql");
+$res->execute();
+
+list($descr_cons,$tipo_cons,$genere,$votog,$votol,$votoc,$circo) = $res->fetch(PDO::FETCH_NUM);
+$sql="SELECT t2.id_cons FROM ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_cons_gen=t2.id_cons_gen and t2.id_cons_gen='$id_cons_gen' and t2.id_comune='$id_comune'" ;
+$res = $dbi->prepare("$sql");
+$res->execute();
+
+list($id_cons) = $res->fetch(PDO::FETCH_NUM);
 
 
@@ -37,42 +43,21 @@
       
 	// circoscrizionali
-	/* da verificare
-#tolto, gestito globalmente in index.php
-	if ($circo){ // circoscrizione
-   		echo "<form name=\"yesy\" method=\"post\" action=\"modules.php\">";
-   		echo "<input type=\"hidden\" name=\"pagina\" value=\"modules.php?name=Elezioni&file=index&id_cons_gen=34&id_comune=$id_comune&op=affluenze_graf&id_circ=\">";
-   		
-		$res_sez = mysql_query("SELECT id_circ,descrizione,num_circ from ".$prefix."_ele_circoscrizione where id_cons=$id_cons",$dbi);
-		echo "<td>Scegli la Circoscrizione: <select name=\"id_circ\" onChange=\"top.location.href=this.form.pagina.value+this.form.id_circ.options[this.form.id_circ.selectedIndex].value;return false\">";
-			while(list($id_rif,$descr_circ,$num_cir)=mysql_fetch_row($res_sez)) {
-					if (!$id_circ) $id_circ=$id_rif;
-					$sel = ($id_rif == $id_circ) ? "selected" : "";
-					echo "<option value=\"$id_rif\" $sel>";
-					for ($j=strlen($num_cir);$j<2;$j++) { echo "&nbsp;&nbsp;";}
-					echo $num_cir.") ".$descr_circ;
-				}
-				echo "</select>";
-			
-		
-				
-				
-		
-		//echo "<input type=\"submit\" value=\""._OK."\"></form>";
-		echo "</td></tr></table>";
-		$circos="and t2.id_circ='$id_circ'";
-			
-	}
-
-	*/
+
 	        // numero sezioni scrutinate
                 //if ($circo)$circos="and id_circ='$id_circ'";
         if (!isset($data1)) $data1='';
         if (!isset($ora_ril)) $ora_ril='';
-  		$res1 = mysql_query("SELECT count(data) FROM ".$prefix."_ele_voti_parziale as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t1.id_cons='$id_cons' and data='$data1' and orario='$ora_ril' $circos group by t3.id_gruppo", $dbi);
+  		$sql="SELECT count(data) FROM ".$prefix."_ele_voti_parziale as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t1.id_cons='$id_cons' and data='$data1' and orario='$ora_ril' $circos group by t3.id_gruppo";
+		$res1 = $dbi->prepare("$sql");
+		$res1->execute();
+
 # mysql_query("select *  from ".$prefix."_ele_voti_parziale where id_cons='$id_cons' $circos  group by id_sez ",$dbi);
-		$numero=mysql_num_rows($res1);
-		$res2 = mysql_query("SELECT t1.* FROM ".$prefix."_ele_sezioni as t1, ".$prefix."_ele_sede as t2 where t1.id_cons='$id_cons' and t1.id_sede=t2.id_sede $circos order by num_sez", $dbi);
+		$numero=$res1->rowCount();
+		$sql="SELECT t1.* FROM ".$prefix."_ele_sezioni as t1, ".$prefix."_ele_sede as t2 where t1.id_cons='$id_cons' and t1.id_sede=t2.id_sede $circos order by num_sez";
+		$res2 = $dbi->prepare("$sql");
+		$res2->execute();
+
 #mysql_query("select *  from ".$prefix."_ele_sezioni where id_cons='$id_cons' $circos",$dbi);
-		$sezioni=mysql_num_rows($res2);
+		$sezioni=$res2->rowCount();
 		
 	
@@ -87,10 +72,13 @@
     $m_size2 = getimagesize("modules/Elezioni/images/barre/mainbar2.gif");
     $r_size2 = getimagesize("modules/Elezioni/images/barre/rightbar2.gif");
-                                                                                                                           // totali
-
-																													if($tema=='tour') $andcond="select orario,data  from ".$prefix."_ele_voti_parziale where id_cons='$id_cons' order by data desc,orario desc limit 0,1"; else $andcond="select orario,data  from ".$prefix."_ele_rilaff where id_cons_gen='$id_cons_gen' order by data,orario";    
+    // totali
+
+	if($tema=='tour') $andcond="select orario,data  from ".$prefix."_ele_voti_parziale where id_cons='$id_cons' order by data desc,orario desc limit 0,1"; else $andcond="select orario,data  from ".$prefix."_ele_rilaff where id_cons_gen='$id_cons_gen' order by data,orario";    
     
-    $res = mysql_query("$andcond", $dbi);
-        while(list($orario,$data) = mysql_fetch_row($res)) {
+    $sql="$andcond";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+
+        while(list($orario,$data) = $res->fetch(PDO::FETCH_NUM)) {
         	list ($ore,$minuti,$secondi)=explode(':',$orario);
         	list ($anno,$mese,$giorno)=explode('-',$data);
@@ -100,9 +88,15 @@
 		echo "<br /><div><h5>"._VOTANTI." "._ALLE." "._ORE." $ore,$minuti "._DEL."  $giorno/$mese/$anno</h5></div>";
                
-  		$res1 = mysql_query("SELECT count(data) FROM ".$prefix."_ele_voti_parziale as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t1.id_cons='$id_cons' and data='$data' and orario='$orario' $circos group by t3.id_gruppo", $dbi);                                                                                                                             
-list($numero)=mysql_fetch_row($res1);	
-
-		
-		$res1 = mysql_query("select sum(t3.voti_complessivi), t4.num_gruppo , t4.id_gruppo   from ".$prefix."_ele_voti_parziale as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede left join ".$prefix."_ele_gruppo as t4 on (t3.id_gruppo=t4.id_gruppo) where t3.id_cons='$id_cons' and t3.orario='$orario' and t3.data='$data' $circos  group by t4.num_gruppo, t4.id_gruppo order by t4.num_gruppo ",$dbi);
+  		$sql="SELECT count(data) FROM ".$prefix."_ele_voti_parziale as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t1.id_cons='$id_cons' and data='$data' and orario='$orario' $circos group by t3.id_gruppo";
+		$res1 = $dbi->prepare("$sql");
+		$res1->execute();
+                                                                                                                             
+		list($numero)=$res1->fetch(PDO::FETCH_NUM);	
+
+		
+		$sql="select sum(t3.voti_complessivi), t4.num_gruppo , t4.id_gruppo   from ".$prefix."_ele_voti_parziale as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede left join ".$prefix."_ele_gruppo as t4 on (t3.id_gruppo=t4.id_gruppo) where t3.id_cons='$id_cons' and t3.orario='$orario' and t3.data='$data' $circos  group by t4.num_gruppo, t4.id_gruppo order by t4.num_gruppo ";
+		$res1 = $dbi->prepare("$sql");
+		$res1->execute();
+
 #mysql_query("select sum(t1.voti_complessivi), t2.num_gruppo , t2.id_gruppo from ".$prefix."_ele_voti_parziale as t1 left join ".$prefix."_ele_gruppo as t2 on (t1.id_gruppo=t2.id_gruppo) where t1.id_cons='$id_cons' and t1.orario='$orario' and t1.data='$data' group by t2.num_gruppo,t2.id_gruppo order by t2.num_gruppo " , $dbi);
                                                                                                                                        
@@ -111,10 +105,13 @@
 		
                                                                                                                              
-                while(list($voti_t, $num_gruppo,$id_gruppo) = mysql_fetch_row($res1)) {
+                while(list($voti_t, $num_gruppo,$id_gruppo) = $res1->fetch(PDO::FETCH_NUM)) {
                 	$query="select sum(voti_complessivi) from ".$prefix."_ele_voti_parziale where orario='$orario' and data='$data' and id_cons='$id_cons'";
 		
                 	if ($genere==0){$query.=" and id_gruppo=$id_gruppo";}
-                	$res_aff=mysql_query($query, $dbi);
-			$voti_numero=mysql_num_rows($res_aff);
+                	$sql=$query;
+	$res_aff = $dbi->prepare("$sql");
+	$res_aff->execute();
+
+			$voti_numero=$res_aff->rowCount();
                 	$query="SELECT sum(maschi+femmine) FROM ".$prefix."_ele_sezioni as t1, ".$prefix."_ele_sede as t2 where t1.id_cons='$id_cons' and t1.id_sede=t2.id_sede $circos";
 #"select sum(maschi+femmine) from ".$prefix."_ele_voti_parziale as t1 , ".$prefix."_ele_sezioni as t2 where t1.id_cons=$id_cons and t1.id_sez=t2.id_sez and orario='$orario' and data='$data' $circos";
@@ -122,9 +119,12 @@
 			
 #			if ($genere==0){$query.=" and id_gruppo=$id_gruppo";}
-                	$res1234=mysql_query($query, $dbi);
-                	list($tot)=mysql_fetch_row($res1234);
+                	$sql=$query;
+					$res1234 = $dbi->prepare("$sql");
+					$res1234->execute();
+
+                	list($tot)=$res1234->fetch(PDO::FETCH_NUM);
                 	
                 	$perc=number_format($voti_t*100/$tot,2);
-                                                                                                                             			echo "<table class=\"td-80\"><tr class=\"bggray\">";
+                    echo "<table class=\"td-80\"><tr class=\"bggray\">";
 			if ($genere==0){echo "<td>Referendum N.</td>";}
                 	echo "<td><b>"._VOTANTI."</b></td><td><b>"._PERCE."</b></td>";
@@ -158,5 +158,5 @@
 
 function graf_votanti(){
-global $op, $prefix, $dbi, $offset, $min,$descr_cons,$genere,$votog,$votol,$votoc,$circo, $id_cons,$tipo_cons,$id_comune,$id_cons_gen,$id_circ,$csv,$w,$l,$siteistat,$flash,$tour,$tema;
+global $op, $prefix, $dbi, $offset, $min,$descr_cons,$genere,$votog,$votol,$votoc,$circo, $id_cons,$tipo_cons,$id_comune,$id_cons_gen,$id_circ,$csv,$w,$l,$siteistat,$flash,$tour,$tema,$copy;
 
 
@@ -219,14 +219,20 @@
 	 */
 	 if($genere==0)
-		$res = mysql_query("select t1.*  from ".$prefix."_ele_voti_".$tab." as t1 left join ".$prefix."_ele_$tab as t2 on t1.id_gruppo=t2.id_gruppo where t1.id_cons='$id_cons' $circos group by t1.id_sez ",$dbi);
+		$sql="select t1.*  from ".$prefix."_ele_voti_".$tab." as t1 left join ".$prefix."_ele_$tab as t2 on t1.id_gruppo=t2.id_gruppo where t1.id_cons='$id_cons' $circos group by t1.id_sez ";
 	else
-		$res = mysql_query("select * from ".$prefix."_ele_sezioni where id_cons='$id_cons' and validi+nulli+bianchi+contestati>0", $dbi);
+		$sql="select * from ".$prefix."_ele_sezioni where id_cons='$id_cons' and validi+nulli+bianchi+contestati>0";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+
 
 	if($res)
-		$numero=mysql_num_rows($res);
+		$numero=$res->rowCount();
 	else
 	$numero=1;
-	$res = mysql_query("select t1.*  from ".$prefix."_ele_sezioni as t1 left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t1.id_cons='$id_cons' $circos",$dbi);
-	$sezioni=mysql_num_rows($res);
+	$sql="select t1.*  from ".$prefix."_ele_sezioni as t1 left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t1.id_cons='$id_cons' $circos";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+
+	$sezioni=$res->rowCount();
 	if ($numero!=0){
 
@@ -234,6 +240,9 @@
 
 
-	$res1 = mysql_query("SELECT sum(maschi+femmine) from ".$prefix."_ele_sezioni as t1 left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t1.id_cons='$id_cons' $circos",$dbi);
-	list($tot_aventi)  = mysql_fetch_row($res1);
+	$sql="SELECT sum(maschi+femmine) from ".$prefix."_ele_sezioni as t1 left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t1.id_cons='$id_cons' $circos";
+	$res1 = $dbi->prepare("$sql");
+	$res1->execute();
+
+	list($tot_aventi)  = $res1->fetch(PDO::FETCH_NUM);
      
 	if ($genere!=0) {
@@ -243,14 +252,20 @@
 	echo "</h2></center>";
 
-		$res1 = mysql_query("SELECT sum(validi+nulli+bianchi+contestati) as tot,
+		$sql="SELECT sum(validi+nulli+bianchi+contestati) as tot,
 		sum(validi),sum(nulli),sum(bianchi),sum(contestati), '0'
-		from ".$prefix."_ele_sezioni as t1 left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t1.id_cons='$id_cons' $circos having tot>0",$dbi);
+		from ".$prefix."_ele_sezioni as t1 left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t1.id_cons='$id_cons' $circos having tot>0";
+	$res1 = $dbi->prepare("$sql");
+	$res1->execute();
+
 	}else{
 
 		if($tema=='tour'){
-			$res1 = mysql_query("SELECT count(0)
-		from ".$prefix."_ele_gruppo  where id_cons=$id_cons",$dbi);
-
-		  list($max_ruotag) =mysql_fetch_row($res1);
+			$sql="SELECT count(0)
+		from ".$prefix."_ele_gruppo  where id_cons=$id_cons";
+	$res1 = $dbi->prepare("$sql");
+	$res1->execute();
+
+
+		  list($max_ruotag) =$res1->fetch(PDO::FETCH_NUM);
 			if (isset($_SESSION['ruotag'])) { $ruotag=$_SESSION['ruotag'];}
 			else {$ruotag=1;$_SESSION['ruotag']=1;}
@@ -258,6 +273,9 @@
 			else {$ruotag++;}
 			$_SESSION['ruotag']=$ruotag;
-			  		$res1 = mysql_query("SELECT count(0) from ".$prefix."_ele_voti_ref AS t1 LEFT JOIN ".$prefix."_ele_gruppo AS t2 ON t1.id_gruppo = t2.id_gruppo WHERE t1.id_cons ='$id_cons' AND t2.num_gruppo ='$ruotag'",$dbi);
-		list($numero)=mysql_fetch_row($res1);
+			$sql="SELECT count(0) from ".$prefix."_ele_voti_ref AS t1 LEFT JOIN ".$prefix."_ele_gruppo AS t2 ON t1.id_gruppo = t2.id_gruppo WHERE t1.id_cons ='$id_cons' AND t2.num_gruppo ='$ruotag'";
+			$res1 = $dbi->prepare("$sql");
+			$res1->execute();
+
+		list($numero)=$res1->fetch(PDO::FETCH_NUM);
 	echo "<center><h2>";
 	echo "<b>"._DETTAGLIO." "._VOTIE."</b> - ";
@@ -265,13 +283,19 @@
 	echo "</h2></center>";
 		
-		$res1 = mysql_query("SELECT sum( t1.validi + t1.nulli + t1.bianchi + t1.contestati ) AS tot, sum( t1.validi ) , sum( t1.nulli ) , sum( t1.bianchi ) , sum( t1.contestati ) , t1.id_gruppo
+		$sql="SELECT sum( t1.validi + t1.nulli + t1.bianchi + t1.contestati ) AS tot, sum( t1.validi ) , sum( t1.nulli ) , sum( t1.bianchi ) , sum( t1.contestati ) , t1.id_gruppo
 FROM ".$prefix."_ele_voti_ref AS t1 LEFT JOIN ".$prefix."_ele_gruppo AS t2 ON t1.id_gruppo = t2.id_gruppo
-WHERE t1.id_cons ='$id_cons' AND t2.num_gruppo ='$ruotag' GROUP BY t1.id_gruppo HAVING tot >0",$dbi);
+WHERE t1.id_cons ='$id_cons' AND t2.num_gruppo ='$ruotag' GROUP BY t1.id_gruppo HAVING tot >0";
+	$res1 = $dbi->prepare("$sql");
+	$res1->execute();
+
 	}	else
-		$res1 = mysql_query("SELECT sum(validi+nulli+bianchi+contestati) as tot,
+		$sql="SELECT sum(validi+nulli+bianchi+contestati) as tot,
 		sum(validi),sum(nulli),sum(bianchi),sum(contestati), id_gruppo
-		from ".$prefix."_ele_voti_ref  where id_cons=$id_cons group by id_gruppo having tot>0",$dbi);
+		from ".$prefix."_ele_voti_ref  where id_cons=$id_cons group by id_gruppo having tot>0";
+	$res1 = $dbi->prepare("$sql");
+	$res1->execute();
+
 	}
-	while  (list($tot_votanti,$validi,$nulli,$bianchi,$contestati,$id)  = mysql_fetch_row($res1)){
+	while  (list($tot_votanti,$validi,$nulli,$bianchi,$contestati,$id)  = $res1->fetch(PDO::FETCH_NUM)){
 		$arperc=array();
 		$arval=array($validi,$nulli,$bianchi,$contestati);
@@ -287,6 +311,9 @@
 
 		if ($genere==0) {
-			$res = mysql_query("SELECT num_gruppo,descrizione from ".$prefix."_ele_gruppo where id_gruppo=$id",$dbi);
-			list($num_gruppo,$descr_gruppo)  = mysql_fetch_row($res);
+			$sql="SELECT num_gruppo,descrizione from ".$prefix."_ele_gruppo where id_gruppo=$id";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+
+			list($num_gruppo,$descr_gruppo)  = $res->fetch(PDO::FETCH_NUM);
 		}
 
@@ -364,10 +391,13 @@
 
 function graf_gruppo($visgralista){
-global $admin, $bgcolor1, $bgcolor5, $prefix, $dbi, $offset, $min,$descr_cons,$genere,$votog,$votol,$votoc,$circo, $id_cons,$id_cons_gen,$id_comune,$id_circ,$tipo_cons,$w,$l,$op,$siteistat,$flash,$tema;
+global $admin, $bgcolor1, $bgcolor5, $prefix, $dbi, $offset, $min,$descr_cons,$genere,$votog,$votol,$votoc,$circo, $id_cons,$id_cons_gen,$id_comune,$id_circ,$tipo_cons,$w,$l,$op,$siteistat,$flash,$tema,$copy;
 if ($siteistat==$id_comune) $logo=$siteistat; else $logo=''; // logo per il  comune
 $logo=verificasimbolo(); // carica_logo da funzioni.php
 	if (!$id_circ and $circo){
-		$res_sez = mysql_query("SELECT id_circ from ".$prefix."_ele_circoscrizione where id_cons=$id_cons order by num_circ limit 0,1",$dbi);
-		list($id_circ)=mysql_fetch_row($res_sez);
+		$sql="SELECT id_circ from ".$prefix."_ele_circoscrizione where id_cons=$id_cons order by num_circ limit 0,1";
+	$res_sez = $dbi->prepare("$sql");
+	$res_sez->execute();
+
+		list($id_circ)=$res_sez->fetch(PDO::FETCH_NUM);
 	}
 	$circond='';$circondt1='';
@@ -375,30 +405,27 @@
 	if ($genere==4 or $visgralista){$tab="ele_voti_lista";}
 	if ($votog){$tab="ele_voti_lista";}
-	$res = mysql_query("select *  from ".$prefix."_$tab where id_cons='$id_cons' group by id_sez ",$dbi);
+	$sql="select *  from ".$prefix."_$tab where id_cons='$id_cons' group by id_sez ";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+
 	if ($circo){
-		$res = mysql_query("select t1.*  from ".$prefix."_ele_voti_gruppo as t1, ".$prefix."_ele_gruppo as t2 where t1.id_gruppo=t2.id_gruppo and t1.id_cons='$id_cons' and t2.id_circ=$id_circ group by t1.id_sez ",$dbi);
-		$restotv = mysql_query("select sum(t1.voti)  from ".$prefix."_ele_voti_gruppo as t1, ".$prefix."_ele_gruppo as t2 where t1.id_gruppo=t2.id_gruppo and t1.id_cons='$id_cons' and t2.id_circ=$id_circ",$dbi);
+		$sql="select t1.*  from ".$prefix."_ele_voti_gruppo as t1, ".$prefix."_ele_gruppo as t2 where t1.id_gruppo=t2.id_gruppo and t1.id_cons='$id_cons' and t2.id_circ=$id_circ group by t1.id_sez ";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+
+		$sql="select sum(t1.voti)  from ".$prefix."_ele_voti_gruppo as t1, ".$prefix."_ele_gruppo as t2 where t1.id_gruppo=t2.id_gruppo and t1.id_cons='$id_cons' and t2.id_circ=$id_circ";
+	$restotv = $dbi->prepare("$sql");
+	$restotv->execute();
+
 		$circond="and id_circ=$id_circ";$circondt1="and t1.id_circ=$id_circ";
 	}
-	if ($res) $numero=mysql_num_rows($res);else $numero=0;
-	$res = mysql_query("select t2.*  from ".$prefix."_ele_sezioni as t2, ".$prefix."_ele_sede as t1 where t2.id_cons='$id_cons' and t1.id_sede=t2.id_sede $circondt1",$dbi);
-	if ($res) $sezioni=mysql_num_rows($res);else $sezioni=0;
-
-#tolta, gestita globalmente in index.php
-/*	if ($circo){ // elenco per scelta circoscrizione
-		echo "<form id=\"test\" action=\"modules.php\"> <input type=\"hidden\" name=\"pagina\" value=\"modules.php?name=Elezioni&amp;op=$op&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune&amp;id_circ=\">";
-		$res_sez = mysql_query("SELECT id_circ,descrizione,num_circ from ".$prefix."_ele_circoscrizione where id_cons=$id_cons",$dbi);
-		echo "<table><tr><td>Scegli la Circoscrizione: <select name=\"id_circ\" onChange=\"top.location.href=this.form.pagina.value+this.form.id_circ.options[this.form.id_circ.selectedIndex].value;return false\">";
-		while(list($id_rif,$descrizione,$num_cir)=mysql_fetch_row($res_sez)) {
-				if (!$id_circ) $id_circ=$id_rif;
-				$sel = ($id_rif == $id_circ) ? "selected" : "";
-				echo "<option value=\"$id_rif\" $sel>";
-				for ($j=strlen($num_cir);$j<2;$j++) { echo "&nbsp;&nbsp;";}
-				echo $num_cir.") ".$descrizione;
-			}
-			echo "</select></td></tr></table></form>";
-		
-	} 
-*/
+	if ($res) $numero=$res->rowCount();else $numero=0;
+	$sql="select t2.*  from ".$prefix."_ele_sezioni as t2, ".$prefix."_ele_sede as t1 where t2.id_cons='$id_cons' and t1.id_sede=t2.id_sede $circondt1";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+
+	if ($res) $sezioni=$res->rowCount();else $sezioni=0;
+
+
 	if ($numero>0){
 		echo "<center><h2>";
@@ -414,8 +441,11 @@
 		// tot voti
 			if (!$circo) 
-				$restotv = mysql_query("select sum(voti)  from ".$prefix."_$tab where id_cons=$id_cons ",  $dbi);
+				$sql="select sum(voti)  from ".$prefix."_$tab where id_cons=$id_cons ";
 			if ($votog) 
-				$restotv = mysql_query("select sum(voti)  from ".$prefix."_ele_voti_lista where id_cons=$id_cons ",  $dbi);	
-			list($tot)  = mysql_fetch_row($restotv);
+				$sql="select sum(voti)  from ".$prefix."_ele_voti_lista where id_cons=$id_cons ";	
+			$restotv = $dbi->prepare("$sql");
+			$restotv->execute();			
+			list($tot)  = $restotv->fetch(PDO::FETCH_NUM);
+
 			
 			$i=0;
@@ -425,5 +455,5 @@
 				if ($votog){
 				
-				$res = mysql_query("select t1.id_gruppo, t1.num_gruppo, t1.descrizione, sum(t2.voti) as somma
+				$sql="select t1.id_gruppo, t1.num_gruppo, t1.descrizione, sum(t2.voti) as somma
 				from ".$prefix."_ele_gruppo as t1,
 				".$prefix."_ele_voti_lista as t2,
@@ -433,25 +463,32 @@
 				and t1.id_gruppo=t3.id_gruppo
 				group by t1.id_gruppo
-				order by somma desc", $dbi);$cosa='id_gruppo';
+				order by somma desc";
+				$cosa='id_gruppo';
 				
 				}else{
 				
 			
-			        $res = mysql_query("select t1.id_gruppo, t1.num_gruppo, t1.descrizione, sum(t2.voti) as somma
+			        $sql="select t1.id_gruppo, t1.num_gruppo, t1.descrizione, sum(t2.voti) as somma
 				from ".$prefix."_ele_gruppo as t1
         			left join ".$prefix."_$tab as t2 on (t1.id_gruppo=t2.id_gruppo)
 				where 	t1.id_cons='$id_cons' and t1.id_cons=t2.id_cons $circondt1
 				group by t2.id_gruppo
-				order by somma desc", $dbi);$cosa='id_gruppo';
-			       }
+				order by somma desc";
+				$cosa='id_gruppo';
+			    }
+				$res = $dbi->prepare("$sql");
+				$res->execute();
 			
 			
 			}else{
-				$res = mysql_query("select t1.id_lista, t1.num_lista, t1.descrizione, sum(t2.voti) as somma
+				$sql="select t1.id_lista, t1.num_lista, t1.descrizione, sum(t2.voti) as somma
 				from ".$prefix."_ele_lista as t1
         		left join ".$prefix."_$tab as t2 on (t1.id_lista=t2.id_lista)
 				where 	t1.id_cons='$id_cons' and t1.id_cons=t2.id_cons $circondt1
 				group by t2.id_lista
-				order by somma desc", $dbi);$cosa='id_lista';
+				order by somma desc";
+				$res = $dbi->prepare("$sql");
+				$res->execute();
+				$cosa='id_lista';
 			}
 
@@ -467,17 +504,19 @@
 					$e=1;
 					// fine 
-				$gruppinum=mysql_num_rows($res);
+				$gruppinum=$res->rowCount();
 				$altrivoti=0;
 ####calcolo percentuale
 				$arvoti=array();
 				$arperc=array();
-				while (list($id,$num,$descrizione,$voti)  = mysql_fetch_row($res)){
+				while (list($id,$num,$descrizione,$voti)  = $res->fetch(PDO::FETCH_NUM)){
 					$arvoti[$id]=$voti;
 				}
 				$arperc=arrayperc($arvoti,$tot);
-				mysql_data_seek($res,0);
+				$res = $dbi->prepare("$sql");
+				$res->execute();
+				
 ####
 				$altriperc=0;
-				while (list($id,$num,$descrizione,$voti)  = mysql_fetch_row($res)){
+				while (list($id,$num,$descrizione,$voti)  = $res->fetch(PDO::FETCH_NUM)){
 
 				
@@ -572,25 +611,32 @@
 		// tot voti
 		if($tema=='tour'){
-				$res1 = mysql_query("SELECT count(0)
-		from ".$prefix."_ele_gruppo  where id_cons=$id_cons",$dbi);
-		  list($max_ruotag) =mysql_fetch_row($res1);
+				$sql="SELECT count(0) from ".$prefix."_ele_gruppo  where id_cons=$id_cons";
+			$res1 = $dbi->prepare("$sql");
+			$res1->execute();
+
+		  list($max_ruotag) =$res1->fetch(PDO::FETCH_NUM);
 			if (isset($_SESSION['ruotag'])) { $ruotag=$_SESSION['ruotag'];}
 			else {$ruotag=1;$_SESSION['ruotag']=1;}
-			$res = mysql_query("select sum(t1.validi),t1.id_gruppo from ".$prefix."_$tab as t1 left join soraldo_ele_gruppo as t2 on t1.id_gruppo=t2.id_gruppo where t1.id_cons='$id_cons' and t2.num_gruppo='$ruotag' group by t1.id_gruppo",  $dbi);
+			$sql="select sum(t1.validi),t1.id_gruppo from ".$prefix."_$tab as t1 left join soraldo_ele_gruppo as t2 on t1.id_gruppo=t2.id_gruppo where t1.id_cons='$id_cons' and t2.num_gruppo='$ruotag' group by t1.id_gruppo";
 		}else
-		$res = mysql_query("
-		select sum(validi),id_gruppo  from ".$prefix."_$tab where id_cons=$id_cons group by id_gruppo",  $dbi);
-		while (list($tot,$id_gruppo)  = mysql_fetch_row($res)){
+		$sql="select sum(validi),id_gruppo  from ".$prefix."_$tab where id_cons=$id_cons group by id_gruppo";
+		$res = $dbi->prepare("$sql");
+		$res->execute();
+	
+		while (list($tot,$id_gruppo)  = $res->fetch(PDO::FETCH_NUM)){
 
 			$s=0;
-			$res1 = mysql_query("select t1.id_gruppo, t1.num_gruppo, t1.descrizione, sum(t2.si),  sum(t2.no)
+			$sql="select t1.id_gruppo, t1.num_gruppo, t1.descrizione, sum(t2.si),  sum(t2.no)
 			from ".$prefix."_ele_gruppo as t1
         		left join ".$prefix."_$tab as t2 on (t1.id_gruppo=t2.id_gruppo)
 			where 	t1.id_cons='$id_cons' and t1.id_gruppo='$id_gruppo' 
 			group by t1.id_gruppo
-			", $dbi);
-			
-
-			while (list($id_gruppo,$num_gruppo,$descrizione,$si,$no)  = mysql_fetch_row($res1)){
+			";
+			$res1 = $dbi->prepare("$sql");
+			$res1->execute();
+
+			
+
+			while (list($id_gruppo,$num_gruppo,$descrizione,$si,$no)  = $res1->fetch(PDO::FETCH_NUM)){
 				if($tot){
 				$percsi=number_format($si*100/$tot,3);
@@ -663,8 +709,14 @@
 		$tab="ele_voti_candidati";
 
-		$res = mysql_query("select *  from ".$prefix."_ele_voti_candidati where id_cons='$id_cons' group by id_sez ",$dbi);
-		$numero=mysql_num_rows($res);
-		$res = mysql_query("select *  from ".$prefix."_ele_sezioni where id_cons='$id_cons'",$dbi);
-		$sezioni=mysql_num_rows($res);
+		$sql="select *  from ".$prefix."_ele_voti_candidati where id_cons='$id_cons' group by id_sez ";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+
+		$numero=$res->rowCount();
+		$sql = "select *  from ".$prefix."_ele_sezioni where id_cons='$id_cons'";
+		$res = $dbi->prepare("$sql");
+		$res->execute();
+
+		$sezioni=$res->rowCount();
 		if ($numero!=0){
 		echo "<table  border=\"0\"  align=\"center\"><tr><td>";
@@ -674,7 +726,8 @@
 			echo "</td></tr></table>";
 			// tot voti
-			$res = mysql_query("
-			select sum(voti)  from ".$prefix."_ele_voti_candidati where id_cons=$id_cons ",  $dbi);
-			list($tot)  = mysql_fetch_row($res);
+			$sql="select sum(voti)  from ".$prefix."_ele_voti_candidati where id_cons=$id_cons ";
+			$res = $dbi->prepare("$sql");
+			$res->execute();
+			list($tot)  = $res->fetch(PDO::FETCH_NUM);
 			
 			// gruppi o liste per simbolo
@@ -686,5 +739,5 @@
 			}
 			$i=0;
-			$res = mysql_query("select t1.id_lista,  t1.id_cand, t1.nome , t1.cognome, sum(t2.voti) as somma
+			$sql="select t1.id_lista,  t1.id_cand, t1.nome , t1.cognome, sum(t2.voti) as somma
 				from ".$prefix."_ele_candidati as t1
         		left join ".$prefix."_ele_voti_candidati as t2 on (t1.id_cand=t2.id_cand)
@@ -695,8 +748,11 @@
 				order by somma desc
 				
-				", $dbi);
-			$n_candi=mysql_num_rows($res);
+				";
+				$res = $dbi->prepare("$sql");
+				$res->execute();
+
+			$n_candi=$res->rowCount();
 			echo "<table><tr><td><table>"; // inizio tabella dati
-			while (list($id_lista,$id_cand,$nome,$cognome,$voti)  = mysql_fetch_row($res)){
+			while (list($id_lista,$id_cand,$nome,$cognome,$voti)  = $res->fetch(PDO::FETCH_NUM)){
              			$candidato[$i]=$cognome;
 				if ($tot) $pro[$i]=number_format($voti*100/$tot,2); else $pro[$i]=0;