Index: trunk/client/modules/Elezioni/index.php
===================================================================
--- trunk/client/modules/Elezioni/index.php	(revision 271)
+++ trunk/client/modules/Elezioni/index.php	(revision 272)
@@ -633,16 +633,20 @@
 
 	####################### inserimento scrutinio in percentuale -- per i gruppi
-	$sql="SELECT COUNT( id_sez ) FROM ".$prefix."_ele_sezioni WHERE validi <>0 AND id_cons ='$id_cons'";
+	if($genere==0)
+		$sql="SELECT COUNT(0) FROM ".$prefix."_ele_voti_ref WHERE id_cons ='$id_cons' group by id_sez";
+	else
+		$sql="SELECT COUNT(0) FROM ".$prefix."_ele_sezioni WHERE validi <>'0' AND id_cons ='$id_cons' group by id_sez";
 	$resn = $dbi->prepare("$sql");
 	$resn->execute();
 
-	$NicolaSezScrut = $resn->fetch(PDO::FETCH_NUM);
+	$NicolaSezScrut = $resn->rowCount();
 	$sql="SELECT COUNT( id_sez ) FROM ".$prefix."_ele_sezioni WHERE id_cons ='$id_cons'";
 	$res = $dbi->prepare("$sql");
 	$res->execute();
 
-	$NicolaSezTot = $resn->fetch(PDO::FETCH_NUM);
-	
-		$sql="select sum(validi),sum(nulli+bianchi+contestati+voti_nulli) from ".$prefix."_ele_sezioni where id_cons='$id_cons'";
+	$NicolaSezTot = $res->fetch(PDO::FETCH_NUM);
+	
+	if($genere==0) $sql="select sum(si+no), sum(bianchi+nulli+contestati)   from ".$prefix."_ele_voti_ref where id_cons='$id_cons' group by id_gruppo";
+	else	$sql="select sum(validi),sum(nulli+bianchi+contestati+voti_nulli) from ".$prefix."_ele_sezioni where id_cons='$id_cons'";
 	$resperc = $dbi->prepare("$sql");
 	$resperc->execute();
@@ -657,7 +661,7 @@
 		$grpercscru=number_format(($scruvalidi+$scrunulli)*100/$totschede,2);
 		else $grpercscru=0;
-#	echo "<div><h2> Dati riferiti a $numero "._SEZ." "._SU." $sezioni</h2></div>";
+#	echo "<div><h2> $sql2 Dati riferiti a $numero "._SEZ." "._SU." $sezioni</h2></div>";
 	echo "<table border=\"2\"><tr><td style=\"text-align:center; \">";
-	if(!$votog and $genere!=4){	echo "<h2><b>"._GRUPPO.": </b>";
+	if(!$votog and $genere!=4){	echo "<h2><b>"._GRUPPO.": </b>"; 
 	echo "</br>Scrutinate ".($scruvalidi+$scrunulli)." schede su $totschede ($grpercscru %)  <br></h2>";
 	}
@@ -665,13 +669,10 @@
 #	echo "<div><h2> $numero "._SEZSCRU." ("._ALPERC." $grpercscru %) "._SU." $sezioni</h2></div>";
 	####################### inserimento scrutinio in percentuale -- per le liste
-	if ($genere>2 && $fascia>$limite){
-		if($votog or $genere==4) $sql="select sum(validi_lista),sum(nulli+bianchi+voti_nulli+contestati) from ".$prefix."_ele_sezioni where id_cons='$id_cons'";
-        else $sql="select sum(validi_lista),sum(nulli+bianchi+voti_nulli+contestati+contestati_lista+solo_gruppo+voti_nulli_lista) from ".$prefix."_ele_sezioni where id_cons='$id_cons'";
+	if ($genere>2 && ($fascia>$limite or !$limite)){
+	
+	$sql="select sum(validi_lista),sum(nulli+bianchi+voti_nulli+contestati) from ".$prefix."_ele_sezioni where id_cons='$id_cons'";
 		$resperc = $dbi->prepare("$sql");
 		$resperc->execute();
-
 		list($scruvalidi,$scrunulli)=$resperc->fetch(PDO::FETCH_NUM);
-#		$resperc = mysql_query("select sum(voti_complessivi) from ".$prefix."_ele_voti_parziale where id_sez in (select id_sez from ".$prefix."_ele_voti_".$tab." where id_cons='$id_cons'  $circos group by id_sez)  group by data,orario order by data desc, orario desc limit 0,1 ",$dbi);
-#		list($totschede)=mysql_fetch_row($resperc);
 		if($totschede)
 		$listpercscru=number_format(($scruvalidi+$scrunulli)*100/$totschede,2);
@@ -679,5 +680,6 @@
 		$listtotschede=$totschede;
 		$listtotvoti=($scruvalidi+$scrunulli);
-		echo "<h6>Voti alle Liste: pervenute: $NicolaSezScrut[0] sezioni su $NicolaSezTot[0] <br/>  Scrutinate $listtotvoti schede su $listtotschede ($listpercscru %)</h6>";
+if($genere!=0 && $genere!=3)
+		echo "<h6>Voti alle Liste: pervenute: $NicolaSezScrut sezioni su $NicolaSezTot[0] <br/>  Scrutinate $listtotvoti schede su $listtotschede ($listpercscru %)</h6>";
 #	    echo "<h6>Voti alle Liste: Scrutinate $listtotvoti schede su $listtotschede ($listpercscru %)</h6>";
 	}
@@ -694,30 +696,5 @@
    if(!$votog and $genere!=4)	echo "<div><h2><b>"._GRUPPO." </b><br /></h2></div>";
    if ($tipo_cons==18 or $tipo_cons==19) echo "<div><b>I voti di lista subiranno una integrazione al termine delle operazioni sul collegio con la ripartizione pro-quota derivata dai voti sull'uninominale</b></div>";
-/*   
-   	if ($circo){ // circoscrizione
-   		echo "<form id=\"yesy\" method=\"post\" action=\"modules.php\">";
-   		echo "<div><input type=\"hidden\" name=\"pagina\" value=\"modules.php?name=Elezioni&amp;op=gruppo&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune&amp;id_circ=\" />";
-		echo " <input type=\"hidden\" name=\"name\" value=\"Elezioni\" />
-      			<input type=\"hidden\" name=\"op\" value=\"gruppo\" />
-      			<input type=\"hidden\" name=\"id_cons_gen\" value=\"$id_cons_gen\" />
-       			<input type=\"hidden\" name=\"id_comune\" value=\"$id_comune\" />
-       			<input type=\"hidden\" name=\"file\" value=\"index\" />";
-   		
-		$res_sez = mysql_query("SELECT id_circ,descrizione,num_circ from ".$prefix."_ele_circoscrizione where id_cons=$id_cons",$dbi);
-		echo "<span class=\"bggray\">"._SCELTA_CIR.":</span> 
-			<select name=\"id_circ\">"; 
-			while(list($id_rif,$descr_circ,$num_cir)=mysql_fetch_row($res_sez)) {
-					if (!$id_circ) $id_circ=$id_rif;
-					$sel = ($id_rif == $id_circ) ? "selected=\"selected\"" : "";
-					echo "<option value=\"$id_rif\" $sel>";
-					for ($j=strlen($num_cir);$j<2;$j++) { echo "&nbsp;&nbsp;";}
-					echo $num_cir.") ".$descr_circ."</option>";
-				}
-				echo "</select> $button </div></form>";
-			
-		
-			
-	}
-*/   
+
 	if ($genere!=4){
 	    $circos='';