Index: trunk/client/modules/Elezioni/blocchi/01_votanti.php
===================================================================
--- trunk/client/modules/Elezioni/blocchi/01_votanti.php	(revision 272)
+++ trunk/client/modules/Elezioni/blocchi/01_votanti.php	(revision 273)
@@ -45,5 +45,5 @@
 
 	list($tot_aventi)  = $res->fetch(PDO::FETCH_NUM);
-		$sql?"SELECT  sum(validi+nulli+bianchi+contestati) as tot,
+		$sql="SELECT  sum(validi+nulli+bianchi+contestati) as tot,
 		sum(validi),sum(nulli),sum(bianchi),sum(contestati), id_gruppo, sum(si), sum(no)
 		from ".$prefix."_ele_voti_ref  where id_cons=$id_cons group by id_gruppo having tot>'0'";
@@ -62,8 +62,8 @@
 
 else $sql="select count(0) from ".$prefix."_ele_sezioni where id_cons='$id_cons' and validi+nulli+bianchi+contestati>0";
-$res = $dbi->prepare("$sql");
-$res->execute();
+$res_sez = $dbi->prepare("$sql");
+$res_sez->execute();
 
-if($res_sez)
+if($res_sez->rowCount())
         list($numero)=$res_sez->fetch(PDO::FETCH_NUM);
 else
Index: trunk/client/modules/Elezioni/blocchi/bar_affluenze.php
===================================================================
--- trunk/client/modules/Elezioni/blocchi/bar_affluenze.php	(revision 272)
+++ trunk/client/modules/Elezioni/blocchi/bar_affluenze.php	(revision 273)
@@ -21,8 +21,8 @@
 		$sezioni=$res2->fetch(PDO::FETCH_NUM);
 
-    $sql="select orario,data  from ".$prefix."_ele_voti_parziale where id_cons='$id_cons' order  by data desc,orario desc limit 1", $dbi);
+    $sql="select orario,data  from ".$prefix."_ele_voti_parziale where id_cons='$id_cons' order  by data desc,orario desc limit 1";
  	$res = $dbi->prepare("$sql");
 	$res->execute();
- if($res){
+ if($res->rowCount()){
 
         while(list($orario,$data) = $res->fetch(PDO::FETCH_NUM)) {
@@ -50,6 +50,6 @@
 else
 	$sql="select sum(t3.voti_complessivi),0,0  from ".$prefix."_ele_voti_parziale as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t3.id_cons='$id_cons' and t3.data='$data' and t3.orario='$orario' $circos";
-$resl = $dbi->prepare("$sql");
-$resl->execute();
+$res1 = $dbi->prepare("$sql");
+$res1->execute();
 
 #fine modifica
Index: trunk/client/modules/Elezioni/blocchi/myrss.php
===================================================================
--- trunk/client/modules/Elezioni/blocchi/myrss.php	(revision 272)
+++ trunk/client/modules/Elezioni/blocchi/myrss.php	(revision 273)
@@ -38,5 +38,5 @@
 fputs($fp, "Accept-Charset: ISO-8859-1,utf-8;q=0.7,*;q=0.7\r\n");
 fputs($fp, "Keep-Alive: 300\r\n");
-
+$cont=0;
 	    $string	= "";
 	    while(!feof($fp)) {
Index: trunk/client/modules/Elezioni/blocchi/off_Votanti.php
===================================================================
--- trunk/client/modules/Elezioni/blocchi/off_Votanti.php	(revision 272)
+++ trunk/client/modules/Elezioni/blocchi/off_Votanti.php	(revision 273)
@@ -43,6 +43,6 @@
 
 	$sql="SELECT sum(t1.maschi+t1.femmine) FROM ".$prefix."_ele_sezioni as t1 left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t1.id_cons='$id_cons' $circos";
-	$resl = $dbi->prepare("$sql");
-	$resl->execute();
+	$res1 = $dbi->prepare("$sql");
+	$res1->execute();
 
 	list($tot_aventi)  = $res1->fetch(PDO::FETCH_NUM);
@@ -52,6 +52,6 @@
 		sum(t1.validi),sum(t1.nulli),sum(t1.bianchi),sum(t1.contestati), '0'
 		from ".$prefix."_ele_sezioni as t1 left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t1.id_cons=$id_cons $circos having tot>0";
-	$resl = $dbi->prepare("$sql");
-	$resl->execute();
+	$res1 = $dbi->prepare("$sql");
+	$res1->execute();
 
 	}else{
@@ -59,6 +59,6 @@
 		sum(validi),sum(nulli),sum(bianchi),sum(contestati), id_gruppo
 		from ".$prefix."_ele_voti_ref  where id_cons=$id_cons group by id_gruppo having tot>0";
-	$resl = $dbi->prepare("$sql");
-	$resl->execute();
+	$res1 = $dbi->prepare("$sql");
+	$res1->execute();
 
 	}
Index: trunk/client/modules/Elezioni/blocchi/pie_affluenze.php
===================================================================
--- trunk/client/modules/Elezioni/blocchi/pie_affluenze.php	(revision 272)
+++ trunk/client/modules/Elezioni/blocchi/pie_affluenze.php	(revision 273)
@@ -40,6 +40,6 @@
 
   		$sql="select t3.*  from ".$prefix."_ele_voti_parziale as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t3.id_cons='$id_cons' and t3.data='$data' and t3.orario='$orario' $circos  group by t3.id_sez ";
-	$resl = $dbi->prepare("$sql");
-	$resl->execute();
+	$res1 = $dbi->prepare("$sql");
+	$res1->execute();
 
 		$numero=$res1->rowCount();