Index: trunk/client/modules.php
===================================================================
--- trunk/client/modules.php	(revision 282)
+++ trunk/client/modules.php	(revision 283)
@@ -104,15 +104,4 @@
 $dbi->exec($sql);
 
-/*
-
-if(!$dbi = mysql_connect($dbhost, $dbuname, $dbpass)){
-die("<center><img src=\"images/logo.gif\" target=\"Logo Avviso Errore\"><br/><br/><b>Ci sono dei problemi di connessione al Server $dbtype, chiediamo scusa per l'inconveniente.<br/><br/>Provate piu' tardi, Grazie.</b><br/><font color=\"#ff0000\">". mysql_error()."</font></center>");
-}
-
-if(!mysql_select_db($dbname)){
-die("<center><img src=src=\"images/logo.gif\" target=\"Logo Avviso Errore\"><br/><br/><b>Ci sono dei problemi di connessione al DataBase $dbtype, chiediamo scusa per l'inconveniente.<br/><br/>Provate piu' tardi, Grazie.</b><br/><font color=\"#ff0000\">". mysql_error()."</font></center>");
-}
-mysql_query("SET NAMES 'utf8'", $dbi);
-*/
 # protezione csrf ottobre 2012 - by l.apolito
 if (file_exists("inc/csrf-magic/csrf-magic.php")) {
Index: trunk/client/modules/Elezioni/candidato.php
===================================================================
--- trunk/client/modules/Elezioni/candidato.php	(revision 282)
+++ trunk/client/modules/Elezioni/candidato.php	(revision 283)
@@ -90,40 +90,4 @@
   
   
-// Da verificare
-#Tolta, gestita globalmente in index.php
-/*
-   if ($circo=="1"){ // circoscrizione
-   	echo "<form name=\"circoscrizione\" method=\"post\" action=\"modules.php\">";
-   	echo "<input type=\"hidden\" name=\"pagina\" value=\"modules.php?name=Elezioni&amp;op=candi&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune&amp;id_cons=$id_cons&amp;lettera=$ltr&amp;ordine=$ordine&amp;min=$min&amp;offset=$offset&amp;id_circ=\">$ltr";
-   		
-	$res_sez = mysql_query("SELECT id_circ,descrizione,num_circ from ".$prefix."_ele_circoscrizione where id_cons=$id_cons",$dbi);
-	echo "<table><tr><td class=\"bggray\">"._SCELTA_CIR.": <select name=\"id_circ\" onChange=\"top.location.href=this.form.pagina.value+this.form.id_circ.options[this.form.id_circ.selectedIndex].value;return false\">";
-	while(list($id_rif,$descr_circ,$num_cir)=mysql_fetch_row($res_sez)) {
-		if (!$id_circ) $id_circ=$id_rif;
-			$sel = ($id_rif == $id_circ) ? "selected" : "";
-			echo "<option value=\"$id_rif\" $sel>";
-			for ($j=strlen($num_cir);$j<2;$j++) { echo "&nbsp;&nbsp;";
-		}
-			echo $num_cir.") ".$descr_circ;
-	}
-		echo "</select>";
-			
-		
-				
-				
-		
-		
-		echo "</form>";
-		echo "</td></tr></table>";
-		 
-		 
-		 
-		
-	}
-  	
-*/	
-	 
-	
-	
 	# conta il numero dei candidati
 	if  ($circo=="1"){
Index: trunk/client/temi/Futura2/function_theme.php
===================================================================
--- trunk/client/temi/Futura2/function_theme.php	(revision 282)
+++ trunk/client/temi/Futura2/function_theme.php	(revision 283)
@@ -168,5 +168,5 @@
 
 function graf_gruppo_mob(){
-global $db,$admin, $bgcolor1, $bgcolor5, $prefix, $offset, $min,$descr_cons,$genere,$votog,$votol,$votoc,$circo, $id_cons,$id_cons_gen,$id_comune,$id_circ,$tipo_cons,$w,$l,$op,$siteistat,$flash,$visgralista,$graficogruppo,$rss;
+global $dbi,$admin, $bgcolor1, $bgcolor5, $prefix, $offset, $min,$descr_cons,$genere,$votog,$votol,$votoc,$circo, $id_cons,$id_cons_gen,$id_comune,$id_circ,$tipo_cons,$w,$l,$op,$siteistat,$flash,$visgralista,$graficogruppo,$rss;
 # parte grafica
 $param=strtolower($_SERVER['REQUEST_METHOD']) == 'get' ?
@@ -718,5 +718,5 @@
 
 
-    global  $user, $admin, $cookie, $textcolor2, $prefix, $dbi;
+    global  $user, $admin, $cookie, $textcolor2;
     $sql="select mid, title, preamble, content,editimage from ".$prefix."$tab where id_cons='$id_cons' order by mid ";
 	$result = $dbi->prepare("$sql");
@@ -1037,5 +1037,5 @@
                                                                                                                              
                 while(list($voti_t, $num_gruppo,$id_gruppo) = $res1->fetch(PDO::FETCH_NUM)) {
-                	$query="select sum(voti_complessivi) from ".$prefix."_ele_voti_parziale where orario='$orario' and data='$data' and id_cons='$id_cons'";
+ /*               	$query="select sum(voti_complessivi) from ".$prefix."_ele_voti_parziale where orario='$orario' and data='$data' and id_cons='$id_cons'";
 		
                 	if ($genere==0){$query.=" and id_gruppo=$id_gruppo";}
@@ -1043,5 +1043,5 @@
 					$res_aff = $dbi->prepare("$query");
 					$res_aff->execute();
-					$voti_numero=$res_aff->rowCount();
+					$voti_numero=$res_aff->rowCount();*/
                 	$query="SELECT sum(maschi+femmine) FROM ".$prefix."_ele_sezioni as t1, ".$prefix."_ele_sede as t2 where t1.id_cons='$id_cons' and t1.id_sede=t2.id_sede $circos";
 
@@ -1049,5 +1049,5 @@
 					$res1234 = $dbi->prepare("$query");
 					$res1234->execute();
-                	list($tot)=$res1234->rowCount();
+                	list($tot)=$res1234->fetch(PDO::FETCH_NUM);
                 	
                 	$perc=number_format($voti_t*100/$tot,2);
@@ -1202,5 +1202,5 @@
 function votanti_tabella(){
 
-global $op, $prefix, $offset, $min,$descr_cons,$genere,$votog,$votol,$votoc,$circo, $id_cons,$tipo_cons,$id_comune,$id_cons_gen,$id_circ,$csv,$w,$l,$siteistat,$flash,$tour,$db;
+global $op, $prefix, $offset, $min,$descr_cons,$genere,$votog,$votol,$votoc,$circo, $id_cons,$tipo_cons,$id_comune,$id_cons_gen,$id_circ,$csv,$w,$l,$siteistat,$flash,$tour,$dbi;
 
 