Index: /trunk/admin/modules/Elezioni/ele_controlli.php
===================================================================
--- /trunk/admin/modules/Elezioni/ele_controlli.php	(revision 287)
+++ /trunk/admin/modules/Elezioni/ele_controlli.php	(revision 288)
@@ -269,4 +269,8 @@
 		$totsg=0;
 		$totsl=0;
+		$tnl=0;
+        $sql="SELECT sum(voti),sum(nulli_lista),sum(solo_lista) FROM ".$prefix."_ele_voti_lista where id_cons='$id_cons' and id_sez='$id_sez'";
+		$resl = $dbi->prepare("$sql");
+		$resl->execute();
         $sql="SELECT validi,validi_lista,contestati_lista,voti_nulli_lista,solo_lista FROM ".$prefix."_ele_sezioni where id_cons='$id_cons' and id_sez='$id_sez'";
 		$res = $dbi->prepare("$sql");
@@ -274,5 +278,5 @@
     	list($votiv,$validil,$contestatil,$nullil,$solol) = $res->fetch(PDO::FETCH_NUM);
 		while (list($idg,$votig,$svg)=$resref->fetch(PDO::FETCH_NUM)) {
-			$sql="SELECT sum(voti), sum(solo_lista) FROM ".$prefix."_ele_voti_lista where id_sez='$id_sez' and id_lista in (select id_lista from ".$prefix."_ele_lista where id_gruppo='$idg')";
+			$sql="SELECT sum(voti), sum(nulli_lista),sum(solo_lista) FROM ".$prefix."_ele_voti_lista where id_sez='$id_sez' and id_lista in (select id_lista from ".$prefix."_ele_lista where id_gruppo='$idg')";
 			$res2 = $dbi->prepare("$sql");
 			$res2->execute();
@@ -280,13 +284,15 @@
 			$totsg+=$svg;
 			if($res2->rowCount()){
-				list($votil,$svl)=$res2->fetch(PDO::FETCH_NUM);
+				list($votil,$nl,$svl)=$res2->fetch(PDO::FETCH_NUM);
 				$totlis+=$votil;
 				$totsl+=$svl;
-				if(($votig+$svl)<($votil+$svg))
+				$tnl+=$nl;
+				if(($votig+$svl)<($votil+$svg+$nl))
 					$err=1; 
 			}
 			
 		}
-		if ($validil+$contestatil+$nullil+$solol+$totsg!=$votiv and $validil+$contestatil+$nullil+$solol>0) $err=1;
+		if ($validil+$contestatil+$nullil+$totsg!=$votiv and $validil+$contestatil+$nullil+$solol>0) $err=1;
+		if($tnl!=$nullil || $totsl!=$solol) $err=1;
 	}
 
Index: /trunk/admin/modules/Elezioni/ele_voti.php
===================================================================
--- /trunk/admin/modules/Elezioni/ele_voti.php	(revision 287)
+++ /trunk/admin/modules/Elezioni/ele_voti.php	(revision 288)
@@ -745,9 +745,9 @@
 				from ".$prefix."_ele_lista where id_cons='$id_cons' $circo
 				order by num_lista";
-$result1 = $dbi->prepare("$sql");
-$result1->execute();
-
-
+				$result1 = $dbi->prepare("$sql");
+				$result1->execute();
 			}
+			$tvnpl=0;
+			$tslpl=0;
 			while (list($voti,$id_lista3,$descr_lista,$simb_lista,$num_lista,$vnpl,$slpl,$rifgruppo)=$result1->fetch(PDO::FETCH_NUM)){
 				echo "<tr bgcolor=\"$bgcolor2\">";
@@ -760,6 +760,6 @@
 				$cond_sele="and id_lista=$id_lista3";
 				echo "<td align=\"right\" $errcolor><input  name=\"voti$i\" value=\"".$voti."\" size=\"7\"  style=\"text-align:right\">";
-				if($dettnulli && !$disgiunto  && $tipo_cons!=18 && $tipo_cons!=19) echo "</td><td align=\"right\"><input  name=\"vnpl$i\" value=\"".$vnpl."\" size=\"7\"  style=\"text-align:right\">";
-				if($disgiunto) echo "</td><td align=\"right\"><input  name=\"slpl$i\" value=\"".$slpl."\" size=\"7\"  style=\"text-align:right\">";
+				if($dettnulli && !$disgiunto  && $tipo_cons!=18 && $tipo_cons!=19) { echo "</td><td align=\"right\"><input  name=\"vnpl$i\" value=\"".$vnpl."\" size=\"7\"  style=\"text-align:right\">"; $tvnpl+=$vnpl;}
+				if($disgiunto) {echo "</td><td align=\"right\"><input  name=\"slpl$i\" value=\"".$slpl."\" size=\"7\"  style=\"text-align:right\">"; $tslpl+=$slpl;}
 				echo "<input type=\"hidden\" name=\"id_lista$i\" value=\"$id_lista3\"></td>";
 //				echo "<td align=\"right\">$sgpl";
@@ -769,5 +769,12 @@
 			}
 		}
-		if(!$id_lista) echo "<tr bgcolor=\"$bgcolor1\"><td></td><td>"._TOT._VOTI_LISTA."</td><td align=\"center\">$tot_pref</td></tr>";
+		if(!$id_lista) {
+			echo "<tr bgcolor=\"$bgcolor1\"><td></td><td><font size=\"3\">"._TOT._VOTI_LISTA."</font></td><td align=\"center\"><font size=\"3\">$tot_pref</font></td>";
+			if($dettnulli && !$disgiunto  && $tipo_cons!=18 && $tipo_cons!=19)
+				echo "<td bgcolor=\"$bgcolor1\" align=\"center\"><font size=\"3\">".$tvnpl."</font></td>";
+			if($disgiunto)
+				echo "<td bgcolor=\"$bgcolor1\" align=\"center\"><font size=\"3\">".$tslpl."</font></td>";
+			echo "</tr>";
+		}
 		else echo "<tr bgcolor=\"$bgcolor1\"><td></td><td>"._TOTPREF."</td><td align=\"center\">$tot_pref</td></tr>";
 		// toglie ai candidati la visual... del solo_gruppo 
Index: /trunk/admin/modules/Elezioni/salva_gruppi.php
===================================================================
--- /trunk/admin/modules/Elezioni/salva_gruppi.php	(revision 287)
+++ /trunk/admin/modules/Elezioni/salva_gruppi.php	(revision 288)
@@ -39,4 +39,5 @@
 if (isset($_GET['id_comune'])) $id_comune=intval($_GET['id_comune']); else $id_comune='0';
 if (isset($_GET['ops'])) $ops=intval($_GET['ops']); else $ops='0';
+if (isset($_GET['sololista'])) $sololista=intval($_GET['sololista']); else $sololista='0';
 if (isset($_GET['delete'])) $delete=intval($_GET['delete']); else $delete='';
 if (isset($_GET['circo'])) get_magic_quotes_gpc() ? $circo=$_GET['circo']:$circo=addslashes($_GET['circo']); else $circo='';
@@ -79,4 +80,7 @@
 		if($disgiunto){ 
 		}
+		$sql="update ".$prefix."_ele_sezioni set solo_lista='$sololista' where id_cons='$id_cons' and id_sez='$id_sez'";
+		$result = $dbi->prepare("$sql");
+		$result->execute();
 		$sql="select num_gruppo from ".$prefix."_ele_voti_gruppo where id_cons='$id_cons' and id_sez='$id_sez'";
 		$result = $dbi->prepare("$sql");
Index: /trunk/admin/modules/Elezioni/salva_liste.php
===================================================================
--- /trunk/admin/modules/Elezioni/salva_liste.php	(revision 287)
+++ /trunk/admin/modules/Elezioni/salva_liste.php	(revision 288)
@@ -113,5 +113,5 @@
 		}
 	}else{
-			$sql="update  ".$prefix."_ele_sezioni set validi_lista='$validi',contestati_lista='$contestati',voti_nulli_lista='$votinulli',solo_gruppo='$sg',solo_lista='' where id_cons='$id_cons' and id_sez='$id_sez'";
+			$sql="update  ".$prefix."_ele_sezioni set validi_lista='$validi',contestati_lista='$contestati',voti_nulli_lista='$votinulli',solo_gruppo='$sg' where id_cons='$id_cons' and id_sez='$id_sez'";
 			$res = $dbi->prepare("$sql");
 			$res->execute();