Index: trunk/client/modules/Elezioni/index.php
===================================================================
--- trunk/client/modules/Elezioni/index.php	(revision 287)
+++ trunk/client/modules/Elezioni/index.php	(revision 290)
@@ -67,5 +67,5 @@
 $lettera=htmlentities($lettera); 
 $ordine=htmlentities($ordine); 
-
+global $limite;
 $sql="SELECT id_conf FROM ".$prefix."_ele_cons_comune where id_cons_gen='$id_cons_gen' and id_comune='$id_comune'" ;
 	$res = $dbi->prepare("$sql");
Index: trunk/client/modules/Elezioni/menu.php
===================================================================
--- trunk/client/modules/Elezioni/menu.php	(revision 287)
+++ trunk/client/modules/Elezioni/menu.php	(revision 290)
@@ -239,5 +239,6 @@
 #inutile	 	if($genere!=4 || $tipo_cons==8)
 	 		echo "<option value=\"graf_gruppo\" ".$temp['graf_gruppo']." >"._GRUPPO."</option>";
-	 		if(($genere==5 or $genere==3) and $fascia>$limite)
+		if($hondt==0) $limite=0;
+		if(($genere>2) and ($fascia>$limite || $limite==0))
 	 		echo "<option value=\"graf_lista&amp;visgralista=1\" ".$temp['graf_lista'].">"._LISTA."</option>";
 		if ($genere>3){
Index: trunk/client/temi/altro/menu.php
===================================================================
--- trunk/client/temi/altro/menu.php	(revision 287)
+++ trunk/client/temi/altro/menu.php	(revision 290)
@@ -184,5 +184,6 @@
 #inutile		if($genere!=4 || $tipo_cons==8)
 		echo "<li class=\"icon graf\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=graf_gruppo\">"._GRUPPO."</a></li>"; 
-if(($genere==5 or $genere==3) and $fascia>$limite)
+		if($hondt==0) $limite=0;
+		if(($genere>2) and ($fascia>$limite || $limite==0))
 		echo "<li class=\"icon graf\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=graf_lista&amp;visgralista=1\">"._LISTA."</a></li>"; 
 		
Index: trunk/client/temi/blog/menu.php
===================================================================
--- trunk/client/temi/blog/menu.php	(revision 287)
+++ trunk/client/temi/blog/menu.php	(revision 290)
@@ -183,5 +183,6 @@
 #inutile		if($genere!=4 || $tipo_cons==8)
 		echo "<li class=\"icon graf\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=graf_gruppo\">"._GRUPPO."</a></li>"; 
-if(($genere==5 or $genere==3) and $fascia>$limite)
+		if($hondt==0) $limite=0;
+		if(($genere>2) and ($fascia>$limite || $limite==0))
 		echo "<li class=\"icon graf\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=graf_lista&amp;visgralista=1\">"._LISTA."</a></li>"; 
 		
Index: trunk/client/temi/default/menu.php
===================================================================
--- trunk/client/temi/default/menu.php	(revision 287)
+++ trunk/client/temi/default/menu.php	(revision 290)
@@ -177,5 +177,5 @@
 		<a href=\"#\"><strong>"._GRAFICI."</strong></a>
 	   <ul class=\"drop-nav\">";
-
+if($hondt==0) $limite=0;
 
 		echo "<li class=\"icon stat\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=affluenze_graf\">"._AFFLUENZE."</a></li>"; 
@@ -184,5 +184,5 @@
 #inutile		if($genere!=4 || $tipo_cons==8)
 		echo "<li class=\"icon graf\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=graf_gruppo\">"._GRUPPO."</a></li>"; 
-if(($genere==5 or $genere==3) and $fascia>$limite)
+if(($genere>2) and ($fascia>$limite || $limite==0))
 		echo "<li class=\"icon graf\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=graf_lista&amp;visgralista=1\">"._LISTA."</a></li>"; 
 		
Index: trunk/client/temi/facebook/menu.php
===================================================================
--- trunk/client/temi/facebook/menu.php	(revision 287)
+++ trunk/client/temi/facebook/menu.php	(revision 290)
@@ -205,5 +205,6 @@
 #inutile		if($genere!=4 || $tipo_cons==8)
 		echo "<li class=\"icon graf\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=graf_gruppo\">"._GRUPPO."</a></li>"; 
-if(($genere==5 or $genere==3) and $fascia>$limite)
+		if($hondt==0) $limite=0;
+		if(($genere>2) and ($fascia>$limite || $limite==0))
 		echo "<li class=\"icon graf\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=graf_lista&amp;visgralista=1\">"._LISTA."</a></li>"; 
 		
Index: trunk/client/temi/realistic/menu.php
===================================================================
--- trunk/client/temi/realistic/menu.php	(revision 287)
+++ trunk/client/temi/realistic/menu.php	(revision 290)
@@ -195,5 +195,6 @@
 #inutile		if($genere!=4 || $tipo_cons==8)
 		echo "<li class=\"icon graf\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=graf_gruppo\">"._GRUPPO."</a></li>"; 
-if(($genere==5 or $genere==3) and $fascia>$limite)
+		if($hondt==0) $limite=0;
+		if(($genere>2) and ($fascia>$limite || $limite==0))
 		echo "<li class=\"icon graf\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=graf_lista&amp;visgralista=1\">"._LISTA."</a></li>"; 
 		
Index: trunk/client/temi/spectral/menu.php
===================================================================
--- trunk/client/temi/spectral/menu.php	(revision 287)
+++ trunk/client/temi/spectral/menu.php	(revision 290)
@@ -195,5 +195,6 @@
 #inutile		if($genere!=4 || $tipo_cons==8)
 		echo "<li class=\"icon graf\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=graf_gruppo\">"._GRUPPO."</a></li>"; 
-if(($genere==5 or $genere==3) and $fascia>$limite)
+		if($hondt==0) $limite=0;
+		if(($genere>2) and ($fascia>$limite || $limite==0))
 		echo "<li class=\"icon graf\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=graf_lista&amp;visgralista=1\">"._LISTA."</a></li>"; 
 		
Index: trunk/client/temi/stylized/menu.php
===================================================================
--- trunk/client/temi/stylized/menu.php	(revision 287)
+++ trunk/client/temi/stylized/menu.php	(revision 290)
@@ -184,5 +184,6 @@
 #inutile		if($genere!=4 || $tipo_cons==8)
 		echo "<li class=\"icon graf\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=graf_gruppo\">"._GRUPPO."</a></li>"; 
-if(($genere==5 or $genere==3) and $fascia>$limite)
+		if($hondt==0) $limite=0;
+		if(($genere>2) and ($fascia>$limite || $limite==0))
 		echo "<li class=\"icon graf\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=graf_lista&amp;visgralista=1\">"._LISTA."</a></li>"; 
 		
Index: trunk/client/temi/tour/menu.php
===================================================================
--- trunk/client/temi/tour/menu.php	(revision 287)
+++ trunk/client/temi/tour/menu.php	(revision 290)
@@ -183,5 +183,6 @@
 #inutile		if($genere!=4 || $tipo_cons==8)
 		echo "<li class=\"icon graf\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=graf_gruppo\">"._GRUPPO."</a></li>"; 
-if(($genere==5 or $genere==3) and $fascia>$limite)
+		if($hondt==0) $limite=0;
+		if(($genere>2) and ($fascia>$limite || $limite==0))
 		echo "<li class=\"icon graf\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=graf_lista&amp;visgralista=1\">"._LISTA."</a></li>"; 
 		
Index: trunk/client/temi/yellowblu/menu.php
===================================================================
--- trunk/client/temi/yellowblu/menu.php	(revision 287)
+++ trunk/client/temi/yellowblu/menu.php	(revision 290)
@@ -184,5 +184,6 @@
 #inutile		if($genere!=4 || $tipo_cons==8)
 		echo "<li class=\"icon graf\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=graf_gruppo\">"._GRUPPO."</a></li>"; 
-if(($genere==5 or $genere==3) and $fascia>$limite)
+		if($hondt==0) $limite=0;
+		if(($genere>2) and ($fascia>$limite || $limite==0))
 		echo "<li class=\"icon graf\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=graf_lista&amp;visgralista=1\">"._LISTA."</a></li>"; 
 		