Index: trunk/admin/modules/Elezioni/ele_associazioni.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_associazioni.php	(revision 291)
+++ trunk/admin/modules/Elezioni/ele_associazioni.php	(revision 292)
@@ -141,6 +141,12 @@
 		}
 	echo "<td bgcolor=\"$bgcolor1\" align=\"center\"><b>"._VISAFFMF."</b></td>";
-	echo "<td bgcolor=\"$bgcolor1\" align=\"center\"><b>"._ASOLO_GRUPPO."</b></td>";
-	echo "<td bgcolor=\"$bgcolor1\" align=\"center\"><b>"._DISGIUNTO."</b></td>";
+	$sql = "SELECT * from ".$prefix."_ele_voti_gruppo where id_cons='$id_cons_comu'";
+	$rescomu = $dbi->prepare("$sql");
+	$rescomu->execute();
+	$tardi=$rescomu->rowCount();
+	if (!$tardi){
+		echo "<td bgcolor=\"$bgcolor1\" align=\"center\"><b>"._ASOLO_GRUPPO."</b></td>";
+		echo "<td bgcolor=\"$bgcolor1\" align=\"center\"><b>"._DISGIUNTO."</b></td>";
+	}
 	echo "</tr>";
 	echo "<tr align=\"center\"><td>";
@@ -229,18 +235,23 @@
 	echo "<option value=\"1\" $sel>Si";
 	echo "</select></td>";
-	echo "<td><select name=\"sg\">";
-	if ($sg==0) $sel="selected"; else $sel="";
-	echo "<option value=\"0\" $sel>No";
-	if ($sg==1) $sel="selected"; else $sel="";
-	echo "<option value=\"1\" $sel>Si";
-	echo "</select></td>";
-	echo "<td><select name=\"disgiunto\">";
-	if ($disgiunto==0) $sel="selected"; else $sel="";
-	echo "<option value=\"0\" $sel>No";
-	if ($disgiunto==1) $sel="selected"; else $sel="";
-	echo "<option value=\"1\" $sel>Si";
-	echo "</select></td>";
-	
+	$sql = "SELECT * from ".$prefix."_ele_voti_gruppo where id_cons='$id_cons_comu'";
+	$rescomu = $dbi->prepare("$sql");
+	$rescomu->execute();	
+	if (!$tardi){
+		echo "<td><select name=\"sg\">";
+		if ($sg==0) $sel="selected"; else $sel="";
+		echo "<option value=\"0\" $sel>No";
+		if ($sg==1) $sel="selected"; else $sel="";
+		echo "<option value=\"1\" $sel>Si";
+		echo "</select></td>";
+		echo "<td><select name=\"disgiunto\">";
+		if ($disgiunto==0) $sel="selected"; else $sel="";
+		echo "<option value=\"0\" $sel>No";
+		if ($disgiunto==1) $sel="selected"; else $sel="";
+		echo "<option value=\"1\" $sel>Si";
+		echo "</select></td>";
+	}
 	echo "<td><input type=\"hidden\" name=\"ok\" value=0>";
+	if ($tardi) echo "<input type=\"hidden\" name=\"sg\" value=$sg><input type=\"hidden\" name=\"disgiunto\" value=$disgiunto>";
 	echo "<input type=\"hidden\" name=\"id_cons_gen\" value=\"$id_cons_gen\">";
 	if ($idcomune) {
Index: trunk/client/modules/Elezioni/menu.php
===================================================================
--- trunk/client/modules/Elezioni/menu.php	(revision 291)
+++ trunk/client/modules/Elezioni/menu.php	(revision 292)
@@ -240,5 +240,5 @@
 	 		echo "<option value=\"graf_gruppo\" ".$temp['graf_gruppo']." >"._GRUPPO."</option>";
 		if($hondt==0) $limite=0;
-		if(($genere>2) and ($fascia>$limite || $limite==0))
+		if(($genere==3 || $genere==5) and ($fascia>$limite || $limite==0))
 	 		echo "<option value=\"graf_lista&amp;visgralista=1\" ".$temp['graf_lista'].">"._LISTA."</option>";
 		if ($genere>3){
Index: trunk/client/temi/altro/menu.php
===================================================================
--- trunk/client/temi/altro/menu.php	(revision 291)
+++ trunk/client/temi/altro/menu.php	(revision 292)
@@ -185,5 +185,5 @@
 		echo "<li class=\"icon graf\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=graf_gruppo\">"._GRUPPO."</a></li>"; 
 		if($hondt==0) $limite=0;
-		if(($genere>2) and ($fascia>$limite || $limite==0))
+		if(($genere==3 || $genere==5) and ($fascia>$limite || $limite==0))
 		echo "<li class=\"icon graf\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=graf_lista&amp;visgralista=1\">"._LISTA."</a></li>"; 
 		
Index: trunk/client/temi/blog/menu.php
===================================================================
--- trunk/client/temi/blog/menu.php	(revision 291)
+++ trunk/client/temi/blog/menu.php	(revision 292)
@@ -184,5 +184,5 @@
 		echo "<li class=\"icon graf\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=graf_gruppo\">"._GRUPPO."</a></li>"; 
 		if($hondt==0) $limite=0;
-		if(($genere>2) and ($fascia>$limite || $limite==0))
+		if(($genere==3 || $genere==5) and ($fascia>$limite || $limite==0))
 		echo "<li class=\"icon graf\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=graf_lista&amp;visgralista=1\">"._LISTA."</a></li>"; 
 		
Index: trunk/client/temi/default/menu.php
===================================================================
--- trunk/client/temi/default/menu.php	(revision 291)
+++ trunk/client/temi/default/menu.php	(revision 292)
@@ -184,5 +184,5 @@
 #inutile		if($genere!=4 || $tipo_cons==8)
 		echo "<li class=\"icon graf\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=graf_gruppo\">"._GRUPPO."</a></li>"; 
-if(($genere>2) and ($fascia>$limite || $limite==0))
+if(($genere==3 || $genere==5) and ($fascia>$limite || $limite==0))
 		echo "<li class=\"icon graf\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=graf_lista&amp;visgralista=1\">"._LISTA."</a></li>"; 
 		
Index: trunk/client/temi/facebook/menu.php
===================================================================
--- trunk/client/temi/facebook/menu.php	(revision 291)
+++ trunk/client/temi/facebook/menu.php	(revision 292)
@@ -206,5 +206,5 @@
 		echo "<li class=\"icon graf\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=graf_gruppo\">"._GRUPPO."</a></li>"; 
 		if($hondt==0) $limite=0;
-		if(($genere>2) and ($fascia>$limite || $limite==0))
+		if(($genere==3 || $genere==5) and ($fascia>$limite || $limite==0))
 		echo "<li class=\"icon graf\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=graf_lista&amp;visgralista=1\">"._LISTA."</a></li>"; 
 		
Index: trunk/client/temi/realistic/menu.php
===================================================================
--- trunk/client/temi/realistic/menu.php	(revision 291)
+++ trunk/client/temi/realistic/menu.php	(revision 292)
@@ -196,5 +196,5 @@
 		echo "<li class=\"icon graf\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=graf_gruppo\">"._GRUPPO."</a></li>"; 
 		if($hondt==0) $limite=0;
-		if(($genere>2) and ($fascia>$limite || $limite==0))
+		if(($genere==3 || $genere==5) and ($fascia>$limite || $limite==0))
 		echo "<li class=\"icon graf\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=graf_lista&amp;visgralista=1\">"._LISTA."</a></li>"; 
 		
Index: trunk/client/temi/spectral/menu.php
===================================================================
--- trunk/client/temi/spectral/menu.php	(revision 291)
+++ trunk/client/temi/spectral/menu.php	(revision 292)
@@ -196,5 +196,5 @@
 		echo "<li class=\"icon graf\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=graf_gruppo\">"._GRUPPO."</a></li>"; 
 		if($hondt==0) $limite=0;
-		if(($genere>2) and ($fascia>$limite || $limite==0))
+		if(($genere==3 || $genere==5) and ($fascia>$limite || $limite==0))
 		echo "<li class=\"icon graf\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=graf_lista&amp;visgralista=1\">"._LISTA."</a></li>"; 
 		
Index: trunk/client/temi/stylized/menu.php
===================================================================
--- trunk/client/temi/stylized/menu.php	(revision 291)
+++ trunk/client/temi/stylized/menu.php	(revision 292)
@@ -185,5 +185,5 @@
 		echo "<li class=\"icon graf\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=graf_gruppo\">"._GRUPPO."</a></li>"; 
 		if($hondt==0) $limite=0;
-		if(($genere>2) and ($fascia>$limite || $limite==0))
+		if(($genere==3 || $genere==5) and ($fascia>$limite || $limite==0))
 		echo "<li class=\"icon graf\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=graf_lista&amp;visgralista=1\">"._LISTA."</a></li>"; 
 		
Index: trunk/client/temi/tour/menu.php
===================================================================
--- trunk/client/temi/tour/menu.php	(revision 291)
+++ trunk/client/temi/tour/menu.php	(revision 292)
@@ -184,5 +184,5 @@
 		echo "<li class=\"icon graf\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=graf_gruppo\">"._GRUPPO."</a></li>"; 
 		if($hondt==0) $limite=0;
-		if(($genere>2) and ($fascia>$limite || $limite==0))
+		if(($genere==3 || $genere==5) and ($fascia>$limite || $limite==0))
 		echo "<li class=\"icon graf\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=graf_lista&amp;visgralista=1\">"._LISTA."</a></li>"; 
 		
Index: trunk/client/temi/yellowblu/menu.php
===================================================================
--- trunk/client/temi/yellowblu/menu.php	(revision 291)
+++ trunk/client/temi/yellowblu/menu.php	(revision 292)
@@ -73,5 +73,5 @@
 	$res->execute();
  
-	$esiste=$res->fetch(PDO::FETCH_NUM);
+	$esiste=$res->rowCount();
 	//se esiste consultazione fa vedere i dati
 	if ($esiste>=1) {
@@ -185,5 +185,5 @@
 		echo "<li class=\"icon graf\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=graf_gruppo\">"._GRUPPO."</a></li>"; 
 		if($hondt==0) $limite=0;
-		if(($genere>2) and ($fascia>$limite || $limite==0))
+		if(($genere==3 || $genere==5) and ($fascia>$limite || $limite==0))
 		echo "<li class=\"icon graf\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=graf_lista&amp;visgralista=1\">"._LISTA."</a></li>"; 
 		